// ----------------------------------------------------------------------------
// D3DGPUmesh.h
//
//   Header for using the GPUmesh class with Direct3D.
//
//                                                    (c) Sylvain Lefebvre 2003
// ----------------------------------------------------------------------------
#ifndef __D3DGPUMESH__
#define __D3DGPUMESH__
// ----------------------------------------------
#include <Windows.h>
#include <mmsystem.h>
#include <d3dx9.h>
// ----------------------------------------------
#define GPUMESH_TRIANGLESTRIP D3DPT_TRIANGLESTRIP
#define GPUMESH_TRIANGLELIST  D3DPT_TRIANGLELIST
#define GPUMESH_TRIANGLEFAN   -1
#define GPUMESH_QUADS         -2
// ----------------------------------------------
#include "CGPUmesh.h"
// ----------------------------------------------
#include "CGPUmesh_CompilePolicy_D3D.h"
// ----------------------------------------------
#endif
// ----------------------------------------------
